

from widgetTmpl_applications import WidgetApplications
import kumula


class ConfigWidget(WidgetApplications):

    def __init__(self, parent):
        WidgetApplications.__init__(self, parent)
        self.setIcon(kumula.getSideBarIcon("applications"))


    def getDescription(self):
        myDesc = "Please enter the paths to external programs."
        return myDesc

    def getSectionName(self):
        return "applications"

    def getValues(self):
        myValues = {
            "browser":self.edBrowser.currentText(),
            "email":self.edEmail.currentText(),
            "pdfview":self.edPDF.currentText()
        }
        return myValues


    def setValues(self, aValueDict):
        self.edBrowser.setCurrentText(aValueDict["browser"])
        self.edEmail.setCurrentText(aValueDict["email"])
        self.edPDF.setCurrentText(aValueDict["pdfview"])


    def getDefaultValues(self):
        myValues = {
            "browser":"konqueror",
            "email":"kmail",
            "pdfview":"kpdf"
        }
        return myValues
