#!/usr/bin/env python

# ============================================================
# CONFIGURATOR.py
# configuration tool for user settings (main file)
# ------------------------------------------------------------
# Copyright (C) the Kumula Team.
# ============================================================

import sys
import os
sys.path.insert(0, os.path.join(os.path.dirname(sys.argv[0]), "..", "lib"))
sys.path.insert(0, os.path.join(os.path.dirname(sys.argv[0]), "..", "lib", "configurator"))
import kumula

from qt import *
from MainWindow import KMainWindow


if __name__ == "__main__":

# Don't use kumula.init(), because we don't need
# a config file or database stuff etc. ...
    kumula.initPathsAndNames()
    kumula.readConfigFile(0)
    kumula.ProgramDB = None
    kumula.MainWin = KMainWindow()
    kumula.run()

